﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;
using Newtonsoft.Json;
using RetailForce.Fiscalisation.Model.Document;

namespace RetailForce.Fiscalisation.Samples.FiscalServiceClientSample
{
    public partial class DocumentForm : Form
    {
        public DocumentForm()
        {
            InitializeComponent();
        }

        private void btnCopyClipBoard_Click(object sender, EventArgs e)
        {
            txtDocument.Text = Clipboard.GetText();
        }

        private void DocumentForm_Load(object sender, EventArgs e)
        {

        }

        public Document Document { get; set; }

        private void txtDocument_TextChanged(object sender, EventArgs e)
        {
            if (!string.IsNullOrEmpty(txtDocument.Text))
            {
                try
                {
                    Document document = JsonConvert.DeserializeObject<Document>(txtDocument.Text);
                    if (document != null) btnOk.Enabled = true;
                    Document = document;
                }
                catch (Exception ex)
                {
                    btnOk.Enabled = false;
                    Document = null;
                    Console.WriteLine(ex);
                }
            }
        }

        private void btnOk_Click(object sender, EventArgs e)
        {
            if (Document != null)
            {
                DialogResult = DialogResult.OK;
                Close();
            }
        }

        private void btnCancel_Click(object sender, EventArgs e)
        {
            Close();
        }
    }
}
